Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.publickey
Class RSAPrivateCrtKey

    java.lang.Object
      com.mindbright.security.publickey.RSAKey
          com.mindbright.security.publickey.RSAPrivateKey
              com.mindbright.security.publickey.RSAPrivateCrtKey

All Implemented Interfaces:
  Key, PrivateKey, RSAKey, RSAPrivateCrtKey, RSAPrivateKey, java.io.Serializable

public class RSAPrivateCrtKey
extends RSAPrivateKey
implements RSAPrivateCrtKey

See Also:
  Serialized Form

Field Summary
`protected java.math.BigInteger` | `crtCoefficient`
`protected java.math.BigInteger` | `primeExponentP`
`protected java.math.BigInteger` | `primeExponentQ`
`protected java.math.BigInteger` | `primeP`
`protected java.math.BigInteger` | `primeQ`
`protected java.math.BigInteger` | `publicExponent`

Fields inherited from class com.mindbright.security.publickey.RSAPrivateKey
`privateExponent`

Fields inherited from class com.mindbright.security.publickey.RSAKey
`modulus`

Constructor Summary
`RSAPrivateCrtKey(java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger primeP, java.math.BigInteger primeQ, java.math.BigInteger crtCoefficient)`
`RSAPrivateCrtKey(java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger primeP, java.math.BigInteger primeQ, java.math.BigInteger primeExponentP, java.math.BigInteger primeExponentQ, java.math.BigInteger crtCoefficient)`

Method Summary
`java.math.BigInteger` | `getCrtCoefficient()`
`java.math.BigInteger` | `getPrimeExponentP()`
`java.math.BigInteger` | `getPrimeExponentQ()`
`java.math.BigInteger` | `getPrimeP()`
`java.math.BigInteger` | `getPrimeQ()`
`java.math.BigInteger` | `getPublicExponent()`

Methods inherited from class com.mindbright.security.publickey.RSAPrivateKey
`getPrivateExponent`

Methods inherited from class com.mindbright.security.publickey.RSAKey
`getAlgorithm, getEncoded, getFormat, getModulus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.mindbright.jca.security.interfaces.RSAPrivateKey
`getPrivateExponent`

Methods inherited from interface com.mindbright.jca.security.interfaces.RSAKey
`getModulus`

Methods inherited from interface com.mindbright.jca.security.Key
`getAlgorithm, getEncoded, getFormat`

Field Detail

### publicExponent

    protected java.math.BigInteger publicExponent

### primeP

    protected java.math.BigInteger primeP

### primeQ

    protected java.math.BigInteger primeQ

### primeExponentP

    protected java.math.BigInteger primeExponentP

### primeExponentQ

    protected java.math.BigInteger primeExponentQ

### crtCoefficient

    protected java.math.BigInteger crtCoefficient

Constructor Detail

### RSAPrivateCrtKey

    public RSAPrivateCrtKey(java.math.BigInteger modulus,
                            java.math.BigInteger publicExponent,
                            java.math.BigInteger privateExponent,
                            java.math.BigInteger primeP,
                            java.math.BigInteger primeQ,
                            java.math.BigInteger crtCoefficient)

### RSAPrivateCrtKey

    public RSAPrivateCrtKey(java.math.BigInteger modulus,
                            java.math.BigInteger publicExponent,
                            java.math.BigInteger privateExponent,
                            java.math.BigInteger primeP,
                            java.math.BigInteger primeQ,
                            java.math.BigInteger primeExponentP,
                            java.math.BigInteger primeExponentQ,
                            java.math.BigInteger crtCoefficient)

Method Detail

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  Specified by:
    `getPublicExponent` in interface `RSAPrivateCrtKey`

### getPrimeP

    public java.math.BigInteger getPrimeP()

  Specified by:
    `getPrimeP` in interface `RSAPrivateCrtKey`

### getPrimeQ

    public java.math.BigInteger getPrimeQ()

  Specified by:
    `getPrimeQ` in interface `RSAPrivateCrtKey`

### getPrimeExponentP

    public java.math.BigInteger getPrimeExponentP()

  Specified by:
    `getPrimeExponentP` in interface `RSAPrivateCrtKey`

### getPrimeExponentQ

    public java.math.BigInteger getPrimeExponentQ()

  Specified by:
    `getPrimeExponentQ` in interface `RSAPrivateCrtKey`

### getCrtCoefficient

    public java.math.BigInteger getCrtCoefficient()

  Specified by:
    `getCrtCoefficient` in interface `RSAPrivateCrtKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD